"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var enzyme_1 = require("enzyme");
var enzyme_adapter_react_16_1 = tslib_1.__importDefault(require("enzyme-adapter-react-16"));
var testComponents_1 = require("./testComponents");
var LayoutRegistration_1 = require("../LayoutRegistration");
enzyme_1.configure({ adapter: new enzyme_adapter_react_16_1.default() });
it('can render a composition with a content area through the registrar', function () {
    var logMessages = [];
    var addToLog = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        return logMessages.push(args.reduce(function (acc, val) { return (acc ? acc + ', ' + JSON.stringify(val) : JSON.stringify(val)); }, ''));
    };
    var log = {
        child: function () { return log; },
        debug: addToLog,
        error: addToLog,
        fatal: addToLog,
        info: addToLog,
        trace: addToLog,
        warn: addToLog,
    };
    var layout = LayoutRegistration_1.LayoutRegistration()
        .registerComponents(function (registrar) {
        return registrar
            .registerComponent(testComponents_1.testComponentRegistration)
            .registerComponent(testComponents_1.testComponent2Registration);
    })
        .registerCompositions(function (registrar) {
        return registrar.registerComposition(testComponents_1.testCompositionRegistration);
    });
    var renderers = layout.createRenderers({ services: {}, log: log });
    enzyme_1.mount(renderers.renderCompositions(layout.composition({
        type: 'test-composition',
        props: {},
        contentAreas: {
            main: [
                layout.component({ type: 'test', props: {} }),
                layout.nestedComposition({
                    type: 'test-composition',
                    props: {},
                    contentAreas: { main: [layout.component({ type: 'test', props: {} })] },
                }),
            ],
        },
    })));
    expect(logMessages).toMatchSnapshot();
});
//# sourceMappingURL=LoggingScenario.test.js.map