"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __1 = require("..");
var testComponents_1 = require("./testComponents");
it('calculates correct render path', function () {
    var layout = __1.LayoutRegistration()
        .registerComponents(function (registrar) {
        return registrar
            .registerComponent(testComponents_1.testComponentRegistration)
            .registerComponent(testComponents_1.testComponent2Registration);
    })
        .registerCompositions(function (registrar) {
        return registrar.registerComposition(testComponents_1.testCompositionRegistration);
    });
    var compositions = [
        layout.composition({
            type: 'test-composition',
            props: {},
            contentAreas: {
                main: [
                    layout.component({ type: 'test', props: {} }),
                    layout.nestedComposition({
                        type: 'test-composition',
                        props: {},
                        contentAreas: {
                            main: [
                                layout.component({ type: 'test', props: {} }),
                                layout.component({ type: 'test', props: {} }),
                            ],
                        },
                    }),
                    layout.component({ type: 'test', props: {} }),
                ],
            },
        }),
    ];
    var components = __1.getComponentsInCompositions(compositions, undefined);
    expect(components).toEqual([
        {
            props: {},
            type: 'test',
            componentRenderPath: '[0]test-composition/main/[0]',
        },
        {
            props: {},
            type: 'test',
            componentRenderPath: '[0]test-composition/main/[1]nested:test-composition/main/[0]',
        },
        {
            props: {},
            type: 'test',
            componentRenderPath: '[0]test-composition/main/[1]nested:test-composition/main/[1]',
        },
        {
            props: {},
            type: 'test',
            componentRenderPath: '[0]test-composition/main/[2]',
        },
    ]);
});
//# sourceMappingURL=helpers.test.js.map