"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var __1 = require("..");
var _a = __1.getRegistrationCreators(), createRegisterableComponent = _a.createRegisterableComponent, createRegisterableComposition = _a.createRegisterableComposition;
exports.TestComponent = function () { return react_1.default.createElement("div", null, "Test component"); };
exports.TestComponent2 = function () { return react_1.default.createElement("div", null, "Test component 2"); };
exports.TestComponent3 = function () { return react_1.default.createElement("div", null, "Test component 3"); };
exports.testComponentRegistration = createRegisterableComponent('test', function () { return (react_1.default.createElement(exports.TestComponent, null)); });
exports.testComponent2Registration = createRegisterableComponent('test2', function () { return (react_1.default.createElement(exports.TestComponent2, null)); });
exports.testComponent3Registration = createRegisterableComponent('test3', function () { return (react_1.default.createElement(exports.TestComponent3, null)); });
exports.TestComponentWithProps = function (props) { return (react_1.default.createElement("div", null,
    "Test component that has a title = ",
    props.title)); };
exports.testComponentWithPropsRegistration = createRegisterableComponent('testWithTitleProp', function (props) { return react_1.default.createElement(exports.TestComponentWithProps, { title: props.title }); });
// Test composition
exports.TestComposition = function (props) { return (react_1.default.createElement("div", null,
    props.compositionTitle && react_1.default.createElement("h1", null, props.compositionTitle),
    props.main)); };
exports.testCompositionRegistration = createRegisterableComposition()('test-composition', function (contentAreas) { return react_1.default.createElement(exports.TestComposition, { main: contentAreas.main }); });
exports.TestCompositionWithProps = function (props) { return (react_1.default.createElement("div", null, props.main)); };
exports.testCompositionWithPropsRegistration = createRegisterableComposition()('test-composition-with-props', function (contentAreas, props) { return (react_1.default.createElement(exports.TestComposition, { main: contentAreas.main, compositionTitle: props.compositionTitle })); });
//# sourceMappingURL=testComponents.js.map