import { ComponentInformation } from './ComponentRegistrar';
import { CompositionInformation } from './CompositionRegistrar';
import { NestedCompositionProps } from './LayoutRegistration';
export interface ComponentPathOptions {
    subpath: string;
    index?: number;
    prefix?: string;
}
export declare function getComponentPath(options: ComponentPathOptions): string;
export declare function isNestedComposition(component: ComponentInformation<any, any>): component is ComponentInformation<any, NestedCompositionProps<any>>;
export declare function flatMap<T, Mapped>(collection: T[], map: (value: T, i: number) => Mapped[]): Mapped[];
/** Maps an array of compositions to a flat list of components */
export declare function getComponentsInCompositions(compositions: Array<CompositionInformation<any, any, any>>, componentRenderPath: string | undefined): ContentAreaData[];
export interface ContentAreaData extends ComponentInformation<any, any> {
    componentRenderPath: string;
}
