"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
function composeMiddleware(componentMiddlewares) {
    var pipeline = function (props, middlewareProps, services) {
        var steps = [];
        for (var _i = 3; _i < arguments.length; _i++) {
            steps[_i - 3] = arguments[_i];
        }
        var step = steps[0], next = steps.slice(1);
        return step
            ? step(props, middlewareProps, services, function (stepProps, stepMiddlewareProps, stepServices) {
                return pipeline.apply(void 0, tslib_1.__spreadArrays([stepProps, stepMiddlewareProps, stepServices], next));
            })
            : null;
    };
    return function (props, middlewareProps, services, next) {
        return pipeline.apply(void 0, tslib_1.__spreadArrays([props, middlewareProps, services], componentMiddlewares, [function (cp, mp, s) {
                return next(cp, mp, s);
            }]));
    };
}
exports.composeMiddleware = composeMiddleware;
//# sourceMappingURL=middlewares.js.map