"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var component_renderer_1 = require("./component-renderer");
exports.ComponentsRenderer = function (_a) {
    var components = _a.components, services = _a.services, layoutApi = _a.layoutApi, componentRegistrations = _a.componentRegistrations, componentMiddleware = _a.componentMiddleware, componentRenderPath = _a.componentRenderPath;
    return (react_1.default.createElement(react_1.default.Fragment, null, components.map(function (item, index) {
        var type = item.type, componentProps = item.props, middlewareProps = tslib_1.__rest(item, ["type", "props"]);
        return (react_1.default.createElement(component_renderer_1.ComponentRenderer, { key: item.renderKey || index, type: type, layoutApi: layoutApi, componentRegistrations: componentRegistrations, componentProps: tslib_1.__assign(tslib_1.__assign({}, componentProps), { componentType: item.type, componentRenderPath: componentRenderPath + "/[" + index + "]" }), middlewareProps: middlewareProps, services: services, componentMiddleware: componentMiddleware }));
    })));
};
exports.ComponentsRenderer.displayName = 'ComponentsRenderer';
//# sourceMappingURL=components-renderer.js.map