"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var helpers_1 = require("../helpers");
var composition_renderer_1 = require("./composition-renderer");
exports.CompositionsRenderer = function (_a) {
    var services = _a.services, renderPathPrefix = _a.renderPathPrefix, componentRegistrations = _a.componentRegistrations, compositionRegistrations = _a.compositionRegistrations, componentMiddleware = _a.componentMiddleware, compositionMiddleware = _a.compositionMiddleware, compositions = _a.compositions, layoutApi = _a.layoutApi, log = _a.log;
    log.debug({
        renderPathPrefix: renderPathPrefix,
        compositions: compositions.map(function (composition) { return ({
            type: composition.type,
        }); }),
    }, 'Rendering compositions');
    return (react_1.default.createElement(react_1.default.Fragment, null, compositions.map(function (composition, index) {
        var componentRenderPath = helpers_1.getComponentPath({
            subpath: composition.type,
            index: index,
            prefix: renderPathPrefix,
        });
        return (react_1.default.createElement(composition_renderer_1.CompositionRenderer, { key: composition.renderKey || index, componentRenderPath: componentRenderPath, componentRegistrations: componentRegistrations, compositionRegistrations: compositionRegistrations, composition: composition, layoutApi: layoutApi, services: services, log: log, componentMiddleware: componentMiddleware, compositionMiddleware: compositionMiddleware }));
    })));
};
exports.CompositionsRenderer.displayName = 'CompositionsRenderer';
//# sourceMappingURL=compositions-renderer.js.map