import { ComponentInformation, ComponentRegistrationBuilderStart, ComponentRegistrationBuilder } from './ComponentRegistrar';
import { CompositionInformation, CompositionRegistration } from './CompositionRegistrar';
import { Logger } from 'typescript-log';
import { RendererMiddleware, LayoutApi } from '.';
interface RegisterComponentsStep<Services extends {}> {
    registerComponents<Components extends ComponentInformation<any, any>, ComponentMiddlewares extends {}>(registerCallback: (registrar: ComponentRegistrationBuilderStart<Services>) => ComponentRegistrationBuilder<Services, Components, ComponentMiddlewares>, log?: Logger): RegisterCompositionsStep<Components, ComponentMiddlewares, Services>;
}
export interface CompositionRegistrationBuilderStart<Components extends ComponentInformation<any>, ComponentMiddlewaresProps extends {}, Services> {
    registerComposition<TType extends string, TContentAreas extends string, TProps>(registration: CompositionRegistration<TType, TContentAreas, Services, TProps>): CompositionRegistrationBuilder<Components, ComponentMiddlewaresProps, CompositionInformation<TType, TContentAreas, TProps>, {}, Services>;
}
export interface CompositionRegistrationBuilder<Components extends ComponentInformation<any, any>, ComponentMiddlewaresProps extends {}, Compositions extends CompositionInformation<any, any, any>, CompositionMiddlewaresProps extends {}, Services> {
    registerComposition<TType extends string, TContentAreas extends string, TProps>(registration: CompositionRegistration<TType, TContentAreas, Services, TProps>): CompositionRegistrationBuilder<Components, ComponentMiddlewaresProps, Compositions | CompositionInformation<TType, TContentAreas, TProps>, CompositionMiddlewaresProps, Services>;
    registerMiddleware<TRegistrationMiddlewareProps extends {}>(compositionMiddleware: RendererMiddleware<Services, TRegistrationMiddlewareProps>): CompositionRegistrationBuilder<Components, ComponentMiddlewaresProps, Compositions, CompositionMiddlewaresProps & TRegistrationMiddlewareProps, Services>;
}
interface RegisterCompositionsStep<Components extends ComponentInformation<any, any>, ComponentMiddlewaresProps extends {}, Services extends {}> {
    registerCompositions<Compositions extends CompositionInformation<any, any, any>, CompositionMiddlewaresProps extends {}>(registerCallback: (registrar: CompositionRegistrationBuilderStart<Components, ComponentMiddlewaresProps, Services>) => CompositionRegistrationBuilder<Components, ComponentMiddlewaresProps, Compositions, CompositionMiddlewaresProps, Services>): LayoutApi<Components, Compositions, ComponentMiddlewaresProps, CompositionMiddlewaresProps, Services>;
}
export declare function LayoutRegistration<Services extends {} = {}>(): RegisterComponentsStep<Services>;
export interface NestedCompositionProps<Compositions extends CompositionInformation<any, any, any>> {
    composition: Compositions;
    componentRenderPath?: string;
}
export declare type ComponentCheckedMessage = 'wrap in layout.component()';
export declare type CompositionCheckedMessage = 'wrap in layout.composition()';
export {};
