import { configure, mount } from 'enzyme';
import Adapter from 'enzyme-adapter-react-16';
import { testComponentRegistration, testComponent2Registration, testCompositionRegistration, } from './testComponents';
import { LayoutRegistration } from '../LayoutRegistration';
configure({ adapter: new Adapter() });
it('can render a composition with a content area through the registrar', function () {
    var logMessages = [];
    var addToLog = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        return logMessages.push(args.reduce(function (acc, val) { return (acc ? acc + ', ' + JSON.stringify(val) : JSON.stringify(val)); }, ''));
    };
    var log = {
        child: function () { return log; },
        debug: addToLog,
        error: addToLog,
        fatal: addToLog,
        info: addToLog,
        trace: addToLog,
        warn: addToLog,
    };
    var layout = LayoutRegistration()
        .registerComponents(function (registrar) {
        return registrar
            .registerComponent(testComponentRegistration)
            .registerComponent(testComponent2Registration);
    })
        .registerCompositions(function (registrar) {
        return registrar.registerComposition(testCompositionRegistration);
    });
    var renderers = layout.createRenderers({ services: {}, log: log });
    mount(renderers.renderCompositions(layout.composition({
        type: 'test-composition',
        props: {},
        contentAreas: {
            main: [
                layout.component({ type: 'test', props: {} }),
                layout.nestedComposition({
                    type: 'test-composition',
                    props: {},
                    contentAreas: { main: [layout.component({ type: 'test', props: {} })] },
                }),
            ],
        },
    })));
    expect(logMessages).toMatchSnapshot();
});
//# sourceMappingURL=LoggingScenario.test.js.map