import { LayoutRegistration, getComponentsInCompositions } from '..';
import { testComponentRegistration, testComponent2Registration, testCompositionRegistration, } from './testComponents';
it('calculates correct render path', function () {
    var layout = LayoutRegistration()
        .registerComponents(function (registrar) {
        return registrar
            .registerComponent(testComponentRegistration)
            .registerComponent(testComponent2Registration);
    })
        .registerCompositions(function (registrar) {
        return registrar.registerComposition(testCompositionRegistration);
    });
    var compositions = [
        layout.composition({
            type: 'test-composition',
            props: {},
            contentAreas: {
                main: [
                    layout.component({ type: 'test', props: {} }),
                    layout.nestedComposition({
                        type: 'test-composition',
                        props: {},
                        contentAreas: {
                            main: [
                                layout.component({ type: 'test', props: {} }),
                                layout.component({ type: 'test', props: {} }),
                            ],
                        },
                    }),
                    layout.component({ type: 'test', props: {} }),
                ],
            },
        }),
    ];
    var components = getComponentsInCompositions(compositions, undefined);
    expect(components).toEqual([
        {
            props: {},
            type: 'test',
            componentRenderPath: '[0]test-composition/main/[0]',
        },
        {
            props: {},
            type: 'test',
            componentRenderPath: '[0]test-composition/main/[1]nested:test-composition/main/[0]',
        },
        {
            props: {},
            type: 'test',
            componentRenderPath: '[0]test-composition/main/[1]nested:test-composition/main/[1]',
        },
        {
            props: {},
            type: 'test',
            componentRenderPath: '[0]test-composition/main/[2]',
        },
    ]);
});
//# sourceMappingURL=helpers.test.js.map