import React from 'react';
import { getRegistrationCreators } from '..';
var _a = getRegistrationCreators(), createRegisterableComponent = _a.createRegisterableComponent, createRegisterableComposition = _a.createRegisterableComposition;
export var TestComponent = function () { return React.createElement("div", null, "Test component"); };
export var TestComponent2 = function () { return React.createElement("div", null, "Test component 2"); };
export var TestComponent3 = function () { return React.createElement("div", null, "Test component 3"); };
export var testComponentRegistration = createRegisterableComponent('test', function () { return (React.createElement(TestComponent, null)); });
export var testComponent2Registration = createRegisterableComponent('test2', function () { return (React.createElement(TestComponent2, null)); });
export var testComponent3Registration = createRegisterableComponent('test3', function () { return (React.createElement(TestComponent3, null)); });
export var TestComponentWithProps = function (props) { return (React.createElement("div", null,
    "Test component that has a title = ",
    props.title)); };
export var testComponentWithPropsRegistration = createRegisterableComponent('testWithTitleProp', function (props) { return React.createElement(TestComponentWithProps, { title: props.title }); });
// Test composition
export var TestComposition = function (props) { return (React.createElement("div", null,
    props.compositionTitle && React.createElement("h1", null, props.compositionTitle),
    props.main)); };
export var testCompositionRegistration = createRegisterableComposition()('test-composition', function (contentAreas) { return React.createElement(TestComposition, { main: contentAreas.main }); });
export var TestCompositionWithProps = function (props) { return (React.createElement("div", null, props.main)); };
export var testCompositionWithPropsRegistration = createRegisterableComposition()('test-composition-with-props', function (contentAreas, props) { return (React.createElement(TestComposition, { main: contentAreas.main, compositionTitle: props.compositionTitle })); });
//# sourceMappingURL=testComponents.js.map