/// <reference types="react" />
import { LayoutApi } from './LayoutApi';
import { ComponentProps } from './renderers/component-renderer';
export interface MiddlwareServices<Services extends {}> {
    layout: LayoutApi<any, any, any, any, Services>;
    services: Services;
}
/** The render function for components, converts the route props into a react component */
export declare type MiddlwareHandler<TProps, TMiddlewareProps extends {}, LoadDataServices extends {}> = (props: TProps, middlewareProps: TMiddlewareProps, services: MiddlwareServices<LoadDataServices>) => React.ReactElement<any> | false | null;
export declare type RendererMiddleware<Services extends {}, MiddlewareProps extends {}> = (props: ComponentProps, middlewareProps: MiddlewareProps, services: MiddlwareServices<Services>, next: MiddlwareHandler<ComponentProps, MiddlewareProps, Services>) => React.ReactElement<any> | false | null;
export declare function composeMiddleware<Services extends {}, MiddlewareProps extends {}>(componentMiddlewares: Array<RendererMiddleware<Services, MiddlewareProps>>): RendererMiddleware<Services, MiddlewareProps>;
