export var ComponentRenderer = function (_a) {
    var type = _a.type, componentRegistrations = _a.componentRegistrations, componentProps = _a.componentProps, middlewareProps = _a.middlewareProps, componentMiddleware = _a.componentMiddleware, services = _a.services, layoutApi = _a.layoutApi;
    var component = componentRegistrations.get(type);
    if (component === undefined) {
        return null;
    }
    var componentServices = {
        services: services,
        layout: layoutApi,
    };
    // A middleware may call next with props, we should use them
    var render = function (middlewareComponentProps, _, services) {
        // component! because we have checked if it's undefined above
        // We are just in a callback here so TypeScript does not maintain the narrowing
        var rendered = component.render(middlewareComponentProps || componentProps, services.services) || null;
        return rendered;
    };
    var middlewareRender = componentMiddleware(componentProps, middlewareProps, componentServices, render) || null;
    return middlewareRender;
};
ComponentRenderer.displayName = 'ComponentRenderer';
//# sourceMappingURL=component-renderer.js.map