import { __assign, __rest } from "tslib";
import React from 'react';
import { ComponentRenderer } from './component-renderer';
export var ComponentsRenderer = function (_a) {
    var components = _a.components, services = _a.services, layoutApi = _a.layoutApi, componentRegistrations = _a.componentRegistrations, componentMiddleware = _a.componentMiddleware, componentRenderPath = _a.componentRenderPath;
    return (React.createElement(React.Fragment, null, components.map(function (item, index) {
        var type = item.type, componentProps = item.props, middlewareProps = __rest(item, ["type", "props"]);
        return (React.createElement(ComponentRenderer, { key: item.renderKey || index, type: type, layoutApi: layoutApi, componentRegistrations: componentRegistrations, componentProps: __assign(__assign({}, componentProps), { componentType: item.type, componentRenderPath: componentRenderPath + "/[" + index + "]" }), middlewareProps: middlewareProps, services: services, componentMiddleware: componentMiddleware }));
    })));
};
ComponentsRenderer.displayName = 'ComponentsRenderer';
//# sourceMappingURL=components-renderer.js.map