import React from 'react';
import { getComponentPath } from '../helpers';
import { CompositionRenderer } from './composition-renderer';
export var CompositionsRenderer = function (_a) {
    var services = _a.services, renderPathPrefix = _a.renderPathPrefix, componentRegistrations = _a.componentRegistrations, compositionRegistrations = _a.compositionRegistrations, componentMiddleware = _a.componentMiddleware, compositionMiddleware = _a.compositionMiddleware, compositions = _a.compositions, layoutApi = _a.layoutApi, log = _a.log;
    log.debug({
        renderPathPrefix: renderPathPrefix,
        compositions: compositions.map(function (composition) { return ({
            type: composition.type,
        }); }),
    }, 'Rendering compositions');
    return (React.createElement(React.Fragment, null, compositions.map(function (composition, index) {
        var componentRenderPath = getComponentPath({
            subpath: composition.type,
            index: index,
            prefix: renderPathPrefix,
        });
        return (React.createElement(CompositionRenderer, { key: composition.renderKey || index, componentRenderPath: componentRenderPath, componentRegistrations: componentRegistrations, compositionRegistrations: compositionRegistrations, composition: composition, layoutApi: layoutApi, services: services, log: log, componentMiddleware: componentMiddleware, compositionMiddleware: compositionMiddleware }));
    })));
};
CompositionsRenderer.displayName = 'CompositionsRenderer';
//# sourceMappingURL=compositions-renderer.js.map